#pragma rtGlobals=1		// Use modern global access method.




Function xcraftrst50hzLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		xcraftrst50hzRenameScale("wave")
	endif
End//DDXModelSDFASTLoadFile

Function xcraftrst50hzRenameScale(waveprefix)
	String waveprefix
	Variable FastSampleRate = 50
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"PO Nozzle Angle")
skr(waveprefix+"1",1,FastDeltaT,"PO Bucket Position")
skr(waveprefix+"2",1,FastDeltaT,"PI Nozzle Angle")
skr(waveprefix+"3",1,FastDeltaT,"PI Bucket Position")
skr(waveprefix+"4",1,FastDeltaT,"SO Nozzle Angle")
skr(waveprefix+"5",1,FastDeltaT,"SO Bucket Position")
skr(waveprefix+"6",1,FastDeltaT,"SI Nozzle Angle")
skr(waveprefix+"7",1,FastDeltaT,"SI Bucket Position")
skr(waveprefix+"8",1,FastDeltaT,"SWH TSK")
skr(waveprefix+"9",1,FastDeltaT,"WP TSK")
skr(waveprefix+"10",1,FastDeltaT,"Bow Accel TSK")
skr(waveprefix+"11",1,FastDeltaT,"RBM TSK")
skr(waveprefix+"12",1,FastDeltaT,"RWH TSK")
skr(waveprefix+"13",1,FastDeltaT,"AWH TSK")

End//DDXModelSDFASTRenameScale



Function xcraftrst100hzLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		xcraftrst100hzRenameScale("wave")
	endif
End//DDXModelSDFASTLoadFile

Function xcraftrst100hzRenameScale(waveprefix)
	String waveprefix
	Variable FastSampleRate = 100
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"dP Nozzle PO")
skr(waveprefix+"1",1,FastDeltaT,"dP Impeller PO")
skr(waveprefix+"2",1,FastDeltaT,"Ps Impeller PO")
skr(waveprefix+"3",1,FastDeltaT,"Q PO")
skr(waveprefix+"4",1,FastDeltaT,"Q PI")
skr(waveprefix+"5",1,FastDeltaT,"RPM PO")
skr(waveprefix+"6",1,FastDeltaT,"RPM PI")
skr(waveprefix+"7",1,FastDeltaT,"Fuel Flow Port DSL")
skr(waveprefix+"8",1,FastDeltaT,"dP Nozzle SO")
skr(waveprefix+"9",1,FastDeltaT,"dP Impeller SO")
skr(waveprefix+"10",1,FastDeltaT,"Ps Impeller SO")
skr(waveprefix+"11",1,FastDeltaT,"Ps Hull Inlet SO")
skr(waveprefix+"12",1,FastDeltaT,"dP Nozzle SI")
skr(waveprefix+"13",1,FastDeltaT,"dP Impeller SI")
skr(waveprefix+"14",1,FastDeltaT,"Ps Impeller SI")
skr(waveprefix+"15",1,FastDeltaT,"Ps Hull Inlet SI")
skr(waveprefix+"16",1,FastDeltaT,"Exit Press Total Head")
skr(waveprefix+"17",1,FastDeltaT,"Q SO")
skr(waveprefix+"18",1,FastDeltaT,"Q SI")
skr(waveprefix+"19",1,FastDeltaT,"RPM SO")
skr(waveprefix+"20",1,FastDeltaT,"RPM SI")
skr(waveprefix+"21",1,FastDeltaT,"Fuel Flow Stbd DSL")
skr(waveprefix+"22",1,FastDeltaT,"Vert Bow Accel Stbd")
skr(waveprefix+"23",1,FastDeltaT,"Long Bow Accel Stbd")
skr(waveprefix+"24",1,FastDeltaT,"Tran Bow Accel Stbd")
skr(waveprefix+"25",1,FastDeltaT,"Vert Demi Accel Stbd")
skr(waveprefix+"26",1,FastDeltaT,"Long Demi Accel Stbd")
skr(waveprefix+"27",1,FastDeltaT,"Tran Demi Accel Stbd")
skr(waveprefix+"28",1,FastDeltaT,"Vert Pilot Accel")
skr(waveprefix+"29",1,FastDeltaT,"Long Pilot Accel")
skr(waveprefix+"30",1,FastDeltaT,"Trans Pilot Accel")
skr(waveprefix+"31",1,FastDeltaT,"Vert Demi Accel Port")
skr(waveprefix+"32",1,FastDeltaT,"Long Demi Accel Port")
skr(waveprefix+"33",1,FastDeltaT,"Tran Demi Accel Port")
skr(waveprefix+"34",1,FastDeltaT,"Vert FWD Helo Accel")
skr(waveprefix+"35",1,FastDeltaT,"Long FWD Helo Accel")
skr(waveprefix+"36",1,FastDeltaT,"Trans FWD Helo Accel")
skr(waveprefix+"37",1,FastDeltaT,"Vert AFT Helo Accel")
skr(waveprefix+"38",1,FastDeltaT,"Long AFT Helo Accel")
skr(waveprefix+"39",1,FastDeltaT,"Trans AFT Helo Accel")
skr(waveprefix+"40",1,FastDeltaT,"Vert Stern Accel Stbd")
skr(waveprefix+"41",1,FastDeltaT,"Long Stern Accel Stbd")
skr(waveprefix+"42",1,FastDeltaT,"Trans Stern Accel Stbd")
skr(waveprefix+"43",1,FastDeltaT,"Vert Stern Accel Port")
skr(waveprefix+"44",1,FastDeltaT,"Long Stern Accel Port")
skr(waveprefix+"45",1,FastDeltaT,"Trans Stern Accel Port")


End//DDXModelSDFASTRenameScale










Function xcraftrst200hzLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		xcraftrst200hzRenameScale("wave")
	endif
End//DDXModelSDFASTLoadFile

Function xcraftrst200hzRenameScale(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"LCG Vert Accel")
skr(waveprefix+"1",1,FastDeltaT,"LCG Long Accel")
skr(waveprefix+"2",1,FastDeltaT,"LCG Trans Accel")
skr(waveprefix+"3",1,FastDeltaT,"LCG Vert Accel Wat")
skr(waveprefix+"4",1,FastDeltaT,"LCG Long Accel Wat")
skr(waveprefix+"5",1,FastDeltaT,"LCG Trans Accel Wat")
skr(waveprefix+"6",1,FastDeltaT,"Yaw Rate BEI")
skr(waveprefix+"7",1,FastDeltaT,"Temp BEI")
skr(waveprefix+"8",1,FastDeltaT,"Roll Angle LCG")
skr(waveprefix+"9",1,FastDeltaT,"Pitch Angle LCG")
skr(waveprefix+"10",1,FastDeltaT,"Roll Rate LCG")
skr(waveprefix+"11",1,FastDeltaT,"Pitch Rate LCG")
skr(waveprefix+"12",1,FastDeltaT,"TB WTB8 CL Rmp Loading")
skr(waveprefix+"13",1,FastDeltaT,"FD LG Fr1.5P Ramp Loading")
skr(waveprefix+"14",1,FastDeltaT,"Shr Trans Fr1P BW LC")
skr(waveprefix+"15",1,FastDeltaT,"Shr Shel Plate Fr0.5 Aft LC")
skr(waveprefix+"16",1,FastDeltaT,"Aft Hul CL IB Tbar Fr6.5S")
skr(waveprefix+"17",1,FastDeltaT,"Aft Hul CL OB Tbar Fr6.5S")
skr(waveprefix+"18",1,FastDeltaT,"Aft Hul CL Top Tbar Fr6.5S")
skr(waveprefix+"19",1,FastDeltaT,"Aft Hull Cant Bottom Tbar Fr6.5S")
skr(waveprefix+"20",1,FastDeltaT,"BHD 5P Vert PC")
skr(waveprefix+"21",1,FastDeltaT,"BHD 5S Vert PCM")
skr(waveprefix+"22",1,FastDeltaT,"BHD 55P Shear45 PCM")
skr(waveprefix+"23",1,FastDeltaT,"TB CS FR 29")
skr(waveprefix+"24",1,FastDeltaT,"Hnch WTB 29P Roz Trans")
skr(waveprefix+"25",1,FastDeltaT,"Hnch WTB 29P Roz 45")
skr(waveprefix+"26",1,FastDeltaT,"Hnch WTB 29P Roz Vert")
skr(waveprefix+"27",1,FastDeltaT,"Hnch WTB 29S Roz Trans")
skr(waveprefix+"28",1,FastDeltaT,"Hnch WTB 29S Roz 45")
skr(waveprefix+"29",1,FastDeltaT,"Hnch WTB 29S Roz Vert")
skr(waveprefix+"30",1,FastDeltaT,"Hnch Shell Fr29P Roz Trans")
skr(waveprefix+"31",1,FastDeltaT,"Hnch Shell Fr29P Roz 45")
skr(waveprefix+"32",1,FastDeltaT,"Hnch Shell Fr29P Roz Long")
skr(waveprefix+"33",1,FastDeltaT,"Hnch Shell Fr29S Roz Trans")
skr(waveprefix+"34",1,FastDeltaT,"Hnch Shell Fr29S Roz 45")
skr(waveprefix+"35",1,FastDeltaT,"Hnch Shell Fr29S Roz Long")
skr(waveprefix+"36",1,FastDeltaT,"TB Flt Dk Fr 29")
skr(waveprefix+"37",1,FastDeltaT,"Flt Dk Edge VB Fr 29P")
skr(waveprefix+"38",1,FastDeltaT,"Flt Dk Edge VB Fr 29S")
skr(waveprefix+"39",1,FastDeltaT,"TB CS Fr 20")
skr(waveprefix+"40",0.99757186,FastDeltaT,"VB Keel Stbd Fr 20")
skr(waveprefix+"41",1,FastDeltaT,"Hnch WTB 20S Roz 45")
skr(waveprefix+"42",1,FastDeltaT,"Hnch WTB 20S Roz Vert")
skr(waveprefix+"43",1,FastDeltaT,"Hnch Shell Fr20S Roz Trans")
skr(waveprefix+"44",1,FastDeltaT,"Hnch Shell Fr20S Roz 45")
skr(waveprefix+"45",1,FastDeltaT,"Hnch Shell Fr20S Roz Long")
skr(waveprefix+"46",1,FastDeltaT,"TB Flt Dk Fr 22")
skr(waveprefix+"47",0.5,FastDeltaT,"VB Keel Prt Fr 20")
skr(waveprefix+"48",1.00243405,FastDeltaT,"Hnch WTB 20S Roz Trans")
skr(waveprefix+"49",1,FastDeltaT,"Flt Dk Edge VB Fr 20P")
skr(waveprefix+"50",1,FastDeltaT,"Flt Dk Edge VB Fr 20S")
skr(waveprefix+"51",1.01218375,FastDeltaT,"Shell MDk  Fr19.5P Roz Long")
skr(waveprefix+"52",1.00073756,FastDeltaT,"Shell MDk  Fr19.5P Roz 45")
skr(waveprefix+"53",0.99935372,FastDeltaT,"Shell MDk  Fr19.5P Roz Vert")
skr(waveprefix+"54",0.98787320,FastDeltaT,"Flt Dk VB Fr 29CL")
skr(waveprefix+"55",1,FastDeltaT,"TB CS Fr 47")
skr(waveprefix+"56",1,FastDeltaT,"Hnch WTB 47S Roz Trans")
skr(waveprefix+"57",1,FastDeltaT,"Hnch WTB 47S Roz 45")
skr(waveprefix+"58",1,FastDeltaT,"Hnch WTB 47S Roz Vert")
skr(waveprefix+"59",1,FastDeltaT,"Hnch Shell Fr47S Roz Trans")
skr(waveprefix+"60",1,FastDeltaT,"Hnch Shell Fr47S Roz 45")
skr(waveprefix+"61",1,FastDeltaT,"Hnch Shell Fr47S Roz Long")
skr(waveprefix+"62",1,FastDeltaT,"TB Flt Dk Fr 30")
skr(waveprefix+"63",1,FastDeltaT,"Not Gaged")
skr(waveprefix+"64",1,FastDeltaT,"VB Keel Stbd Fr 47")
skr(waveprefix+"65",1,FastDeltaT,"VB Keel Prt Fr 38")
skr(waveprefix+"66",1,FastDeltaT,"VB Keel Stbd Fr 38")
skr(waveprefix+"67",1,FastDeltaT,"Flt Dk Edge VB Fr 38P")
skr(waveprefix+"68",1,FastDeltaT,"Flt Dk Edge VB Fr 38S")
skr(waveprefix+"69",1,FastDeltaT,"FD Tbar Mid Span Fr35.5P 9 CL")
skr(waveprefix+"70",1,FastDeltaT,"FD Tbar Mid Span Fr35.5S 9 CL")
skr(waveprefix+"71",1,FastDeltaT,"BYS Lwr Hul IB Fr55S")
skr(waveprefix+"72",1,FastDeltaT,"BYS Lwr Hull OB Fr55S") 
skr(waveprefix+"73",1,FastDeltaT,"T-Foil Fr50S Shr trans fr")
skr(waveprefix+"74",1,FastDeltaT,"T-Foil Fr50S Axial Flng Trans")
skr(waveprefix+"75",1,FastDeltaT,"T-Foil Fr50S Shr trans 2 fr")
skr(waveprefix+"76",1,FastDeltaT,"T-Foil Fr50S Axial Flg 2 Trans")
skr(waveprefix+"77",1,FastDeltaT,"BYS Haunch Trans Fr57S")
skr(waveprefix+"78",1,FastDeltaT,"BYS IB Shell Trans Fr57S")
skr(waveprefix+"79",1,FastDeltaT,"BYS OB Trans Fr57S")
skr(waveprefix+"80",1,FastDeltaT,"BYS OB Shel Trans Fr57S")
skr(waveprefix+"81",1,FastDeltaT,"BHD 55P Vert PCM")
skr(waveprefix+"82",1,FastDeltaT,"BHD 55S Vert PCM")
skr(waveprefix+"83",1,FastDeltaT,"BHD 55S Shear45 PCM")
skr(waveprefix+"84",1,FastDeltaT,"FD Tbar Mid Span Fr12.5P 9 CL")
skr(waveprefix+"85",1,FastDeltaT,"FD Tbar Mid Span Fr12.5S 9 CL")


End//DDXModelSDFASTRenameScale












Function xcraftrst2000hzLoadFile60(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		xcraftrst2000hzRenameScale60("wave")
	endif
End//DDXModelSDFASTLoadFile

Function xcraftrst2000hzRenameScale60(waveprefix)
	String waveprefix
	Variable FastSampleRate = 2000
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"Q SO HF")
skr(waveprefix+"1",1,FastDeltaT,"Q SI HF")
skr(waveprefix+"2",1,FastDeltaT,"RPM Raw SO")
skr(waveprefix+"3",1,FastDeltaT,"RPM Raw SI")
skr(waveprefix+"4",1,FastDeltaT,"1-Pulse SO")
skr(waveprefix+"5",1,FastDeltaT,"1-Pulse SI")
skr(waveprefix+"6",1,FastDeltaT,"Q PO HF")
skr(waveprefix+"7",1,FastDeltaT,"Q PI HF")
skr(waveprefix+"8",1,FastDeltaT,"RPM Raw PO")
skr(waveprefix+"9",1,FastDeltaT,"RPM Raw PI")
skr(waveprefix+"10",1,FastDeltaT,"1-Pulse PO")
skr(waveprefix+"11",1,FastDeltaT,"1-Pulse PI")
skr(waveprefix+"12",1,FastDeltaT,"Hull Accel CH1")
skr(waveprefix+"13",1,FastDeltaT,"Hull Accel CH2")
skr(waveprefix+"14",1,FastDeltaT,"Hull Accel CH3")
skr(waveprefix+"15",1,FastDeltaT,"Hull Accel CH4")
skr(waveprefix+"16",1,FastDeltaT,"Hull Accel CH5")
skr(waveprefix+"17",1,FastDeltaT,"Hull Accel CH6")
skr(waveprefix+"18",1,FastDeltaT,"Hull Accel CH7")
skr(waveprefix+"19",1,FastDeltaT,"Hull Accel CH8")
skr(waveprefix+"20",1,FastDeltaT,"Hull Pressure 1")
skr(waveprefix+"21",1,FastDeltaT,"Hull Pressure 2")
skr(waveprefix+"22",1,FastDeltaT,"Hull Pressure 3")
skr(waveprefix+"23",1,FastDeltaT,"Hull Pressure 4")
skr(waveprefix+"24",1,FastDeltaT,"Hull Pressure 5")
skr(waveprefix+"25",1,FastDeltaT,"Hull Pressure 6")
skr(waveprefix+"26",1,FastDeltaT,"Hull Pressure 7")
skr(waveprefix+"27",1,FastDeltaT,"Hull Pressure 8")
skr(waveprefix+"28",1,FastDeltaT,"Slam DB WD Fr9.5P OB")
skr(waveprefix+"29",1,FastDeltaT,"Slam DB WD Fr9.5 CL")
skr(waveprefix+"30",1,FastDeltaT,"Slam DB WD Fr9.5S OB")
skr(waveprefix+"31",1,FastDeltaT,"Slam 2A Tbar Fr9.5S IB")
skr(waveprefix+"32",1,FastDeltaT,"Slam 2A Tbar Fr9.5S OB")
skr(waveprefix+"33",1,FastDeltaT,"Slam 2A Tbar Fr9.5S BM")
skr(waveprefix+"34",1,FastDeltaT,"Slam DB WD Fr15.5P OB")
skr(waveprefix+"35",1,FastDeltaT,"Slam DB WD Fr15.5 CL")
skr(waveprefix+"36",1,FastDeltaT,"Slam DB WD Fr15.5S OB")
skr(waveprefix+"37",1,FastDeltaT,"Slam 2A Tbar Fr16.5S IB")
skr(waveprefix+"38",1,FastDeltaT,"Slam 2A Tbar Fr16.5S OB")
skr(waveprefix+"39",1,FastDeltaT,"Slam 2A Tbar Fr16.5S BM")
skr(waveprefix+"40",1,FastDeltaT,"Slam DB WD Fr27.5P OB")
skr(waveprefix+"41",1,FastDeltaT,"Slam DB WD Fr27.5 CL")
skr(waveprefix+"42",1,FastDeltaT,"Slam DB WD Fr27.5S OB")
skr(waveprefix+"43",1,FastDeltaT,"Slam 2A Tbar Fr27.5S IB 2")
skr(waveprefix+"44",1,FastDeltaT,"Slam 2A Tbar Fr27.5S OB")
skr(waveprefix+"45",1,FastDeltaT,"Not used Slam B 14")
skr(waveprefix+"46",1,FastDeltaT,"Slam DB WD Fr47.5P OB")
skr(waveprefix+"47",1,FastDeltaT,"Slam DB WD Fr47.5 CL")
skr(waveprefix+"48",1,FastDeltaT,"Slam DB WD Fr47.5S OB")
skr(waveprefix+"49",1,FastDeltaT,"Slam 2A Tbar Fr48.5S IB ND")
skr(waveprefix+"50",1,FastDeltaT,"Slam 2A Tbar Fr48.5S OuB ND")
skr(waveprefix+"51",1,FastDeltaT,"Slam 2A Tbar Fr48.5S LH OB")
skr(waveprefix+"52",1,FastDeltaT,"Slam DB Shell Fr56.5S OB LH")
skr(waveprefix+"53",1,FastDeltaT,"Slam 2A Tbar Fr53.5S IB ND")
skr(waveprefix+"54",1,FastDeltaT,"Slam 2A Tbar Fr53.5S OB ND")
skr(waveprefix+"55",1,FastDeltaT,"Slam 2A Tbar Fr53.5S LH OB")
skr(waveprefix+"56",1,FastDeltaT,"Slam DB WD Fr59.5P OB")
skr(waveprefix+"57",1,FastDeltaT,"Slam DB WD Fr59.5P CL")
skr(waveprefix+"58",1,FastDeltaT,"Slam DB WD Fr59.5S OB")
skr(waveprefix+"59",1,FastDeltaT,"Slam DB Shell Fr56.5P OB L H")



End//DDXModelSDFASTRenameScale














Function xcraftrst2000hzLoadFile32(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		xcraftrst2000hzRenameScale32("wave")
	endif
End//DDXModelSDFASTLoadFile

Function xcraftrst2000hzRenameScale32(waveprefix)
	String waveprefix
	Variable FastSampleRate = 2000
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"Slam DB WD Fr9.5P OB")
skr(waveprefix+"1",1,FastDeltaT,"Slam DB WD Fr9.5 CL")
skr(waveprefix+"2",1,FastDeltaT,"Slam DB WD Fr9.5S OB")
skr(waveprefix+"3",1,FastDeltaT,"Slam 2A Tbar Fr9.5S IB")
skr(waveprefix+"4",1,FastDeltaT,"Slam 2A Tbar Fr9.5S OB")
skr(waveprefix+"5",1,FastDeltaT,"Slam 2A Tbar Fr9.5S BM")
skr(waveprefix+"6",1,FastDeltaT,"Slam DB WD Fr15.5P OB")
skr(waveprefix+"7",1,FastDeltaT,"Slam DB WD Fr15.5 CL")
skr(waveprefix+"8",1,FastDeltaT,"Slam DB WD Fr15.5S OB")
skr(waveprefix+"9",1,FastDeltaT,"Slam 2A Tbar Fr16.5S IB")
skr(waveprefix+"10",1,FastDeltaT,"Slam 2A Tbar Fr16.5S OB")
skr(waveprefix+"11",1,FastDeltaT,"Slam 2A Tbar Fr16.5S BM")
skr(waveprefix+"12",1,FastDeltaT,"Slam DB WD Fr27.5P OB")
skr(waveprefix+"13",1,FastDeltaT,"Slam DB WD Fr27.5 CL")
skr(waveprefix+"14",1,FastDeltaT,"Slam DB WD Fr27.5S OB")
skr(waveprefix+"15",1,FastDeltaT,"Slam 2A Tbar Fr27.5S IB 2")
skr(waveprefix+"16",1,FastDeltaT,"Slam 2A Tbar Fr27.5S OB")
skr(waveprefix+"17",1,FastDeltaT,"Not used Slam B 14")
skr(waveprefix+"18",1,FastDeltaT,"Slam DB WD Fr47.5P OB")
skr(waveprefix+"19",1,FastDeltaT,"Slam DB WD Fr47.5 CL")
skr(waveprefix+"20",1,FastDeltaT,"Slam DB WD Fr47.5S OB")
skr(waveprefix+"21",1,FastDeltaT,"Slam 2A Tbar Fr48.5S IB ND")
skr(waveprefix+"22",1,FastDeltaT,"Slam 2A Tbar Fr48.5S OuB ND")
skr(waveprefix+"23",1,FastDeltaT,"Slam 2A Tbar Fr48.5S LH OB")
skr(waveprefix+"24",1,FastDeltaT,"Slam DB Shell Fr56.5S OB LH")
skr(waveprefix+"25",1,FastDeltaT,"Slam 2A Tbar Fr53.5S IB ND")
skr(waveprefix+"26",1,FastDeltaT,"Slam 2A Tbar Fr53.5S OB ND")
skr(waveprefix+"27",1,FastDeltaT,"Slam 2A Tbar Fr53.5S LH OB")
skr(waveprefix+"28",1,FastDeltaT,"Slam DB WD Fr59.5P OB")
skr(waveprefix+"29",1,FastDeltaT,"Slam DB WD Fr59.5P CL")
skr(waveprefix+"30",1,FastDeltaT,"Slam DB WD Fr59.5S OB")
skr(waveprefix+"31",1,FastDeltaT,"Slam DB Shell Fr56.5P OB L H")



End//DDXModelSDFASTRenameScale




