#pragma rtGlobals=1		// Use modern global access method.




Function HSV2FASTLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		HSV2FASTRenameScale("wave")
	endif
End//DDXModelFASTLoadFile


Function HSV2FASTRenameScale(waveprefix)
	String waveprefix
	Variable FastSampleRate = 2000
	Variable FastDeltaT = 1/FastSampleRate

	skr(waveprefix+"0",1,FastDeltaT,"TimeTag")
	skr(waveprefix+"1",1,FastDeltaT,"T3_10")
	skr(waveprefix+"2",1,FastDeltaT,"T3_11")
	skr(waveprefix+"3",1,FastDeltaT,"T3_12")
	skr(waveprefix+"4",1,FastDeltaT,"T3_13")
	skr(waveprefix+"5",1,FastDeltaT,"T3_5")
	skr(waveprefix+"6",1,FastDeltaT,"T3_7")
	skr(waveprefix+"7",1,FastDeltaT,"T3_9")
	skr(waveprefix+"8",1,FastDeltaT,"T3_4")
	skr(waveprefix+"9",1,FastDeltaT,"T3_6")
	skr(waveprefix+"10",1,FastDeltaT,"T3_8")
End//HSV2FASTRenameScale









Function HSV2slowLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		HSV2slowRenameScale("wave")
	endif
End//DDXModelFASTLoadFile

Function HSV2slowRenameScale(waveprefix)
	String waveprefix
	Variable SlowSampleRate = 100
	Variable SlowDeltaT = 1/SlowSampleRate

	skr(waveprefix+"0",1,SlowDeltaT,"T1-13")
	skr(waveprefix+"1",1,SlowDeltaT,"T1-14")
	skr(waveprefix+"2",1,SlowDeltaT,"T2-2")
	skr(waveprefix+"3",1,SlowDeltaT,"T2-3")
	skr(waveprefix+"4",1,SlowDeltaT,"T2-8")
	skr(waveprefix+"5",1,SlowDeltaT,"T2-9")
	skr(waveprefix+"6",1,SlowDeltaT,"T1-11")
	skr(waveprefix+"7",1,SlowDeltaT,"T1-12")
	skr(waveprefix+"8",1,SlowDeltaT,"T1-15")
	skr(waveprefix+"9",1,SlowDeltaT,"T2-1")
	skr(waveprefix+"10",1,SlowDeltaT,"T2-19A")
	skr(waveprefix+"11",1,SlowDeltaT,"T2-19B")
	skr(waveprefix+"12",1,SlowDeltaT,"T1-7")
	skr(waveprefix+"13",1,SlowDeltaT,"T1-6")
	skr(waveprefix+"14",1,SlowDeltaT,"T2-12")
	skr(waveprefix+"15",1,SlowDeltaT,"T2-14")
	skr(waveprefix+"16",1,SlowDeltaT,"T1-5")
	skr(waveprefix+"17",1,SlowDeltaT,"T2-4")
	skr(waveprefix+"18",1,SlowDeltaT,"T2-18A")
	skr(waveprefix+"19",1,SlowDeltaT,"T2-18B")
	skr(waveprefix+"20",1,SlowDeltaT,"T1-10")
	skr(waveprefix+"21",1,SlowDeltaT,"T1-9")
	skr(waveprefix+"22",1,SlowDeltaT,"T2-13")
	skr(waveprefix+"23",1,SlowDeltaT,"T2-15")
	skr(waveprefix+"24",1,SlowDeltaT,"T1-16")
	skr(waveprefix+"25",1,SlowDeltaT,"T2-5")
	skr(waveprefix+"26",1,SlowDeltaT,"T1-8")
	skr(waveprefix+"27",1,SlowDeltaT,"T2-20")
	skr(waveprefix+"28",1,SlowDeltaT,"T2-21")
	skr(waveprefix+"29",1,SlowDeltaT,"T1-1")
	skr(waveprefix+"30",1,SlowDeltaT,"T1-3")
	skr(waveprefix+"31",1,SlowDeltaT,"T1-2")
	skr(waveprefix+"32",1,SlowDeltaT,"T1-4")
	skr(waveprefix+"33",1,SlowDeltaT,"T2-6")
	skr(waveprefix+"34",1,SlowDeltaT,"T2-7")
	skr(waveprefix+"35",1,SlowDeltaT,"T2-10A-BLK")
	skr(waveprefix+"36",1,SlowDeltaT,"T2-10A-WHT")
	skr(waveprefix+"37",1,SlowDeltaT,"T2-10B-BLK")
	skr(waveprefix+"38",1,SlowDeltaT,"T2-10B-WHT")
	skr(waveprefix+"39",1,SlowDeltaT,"T3-STBD")
	skr(waveprefix+"40",1,SlowDeltaT,"T4-STBD")
	skr(waveprefix+"41",1,SlowDeltaT,"L-TOP-STBD")
	skr(waveprefix+"42",1,SlowDeltaT,"L-BOT-STBD")
	skr(waveprefix+"43",1,SlowDeltaT,"Trans Bridge Accel")
	skr(waveprefix+"44",1,SlowDeltaT,"Vert Bridge Accel")
	skr(waveprefix+"45",1,SlowDeltaT,"Long Bridge Accel")
	skr(waveprefix+"46",1,SlowDeltaT,"Roll Angle")
	skr(waveprefix+"47",1,SlowDeltaT,"Pitch Angle")
	skr(waveprefix+"48",1,SlowDeltaT,"Roll Rate")
	skr(waveprefix+"49",1,SlowDeltaT,"Pitch Rate")
	skr(waveprefix+"50",1,SlowDeltaT,"Yaw Rate")
	skr(waveprefix+"51",1,SlowDeltaT,"Vert LCG Accel (g)")
	skr(waveprefix+"52",1,SlowDeltaT,"Tran LCG Accel (g)")
	skr(waveprefix+"53",1,SlowDeltaT,"Long LCG Accel (g)")
	skr(waveprefix+"54",1,SlowDeltaT,"Long Flt Deck Accel (g)")
	skr(waveprefix+"55",1,SlowDeltaT,"Tran Flt Deck Accel (g)")
	skr(waveprefix+"56",1,SlowDeltaT,"Vert Flt Deck Accel (g)")
	skr(waveprefix+"57",1,SlowDeltaT,"Long Bow Accel (g)")
	skr(waveprefix+"58",1,SlowDeltaT,"Vert Bow Accel (g)")
	skr(waveprefix+"59",1,SlowDeltaT,"Tran Bow Accel (g)")
	skr(waveprefix+"60",1,SlowDeltaT,"TSK Wave Height")
	skr(waveprefix+"61",1,SlowDeltaT,"Rel Bow Motion")
	skr(waveprefix+"62",1,SlowDeltaT,"Vert Bow Accel TSK")
	skr(waveprefix+"63",1,SlowDeltaT,"Sig Wave Ht")
	skr(waveprefix+"64",1,SlowDeltaT,"Avg Wave Per")
	skr(waveprefix+"65",1,SlowDeltaT,"Port Nozzle Ang")
	skr(waveprefix+"66",1,SlowDeltaT,"Stbd Nozzle Ang")
	skr(waveprefix+"67",1,SlowDeltaT,"SO Bucket Pos")
	skr(waveprefix+"68",1,SlowDeltaT,"SI Bucket Pos")
	skr(waveprefix+"69",1,SlowDeltaT,"PO Bucket Pos")
	skr(waveprefix+"70",1,SlowDeltaT,"PI Bucket Pos")
	skr(waveprefix+"71",1,SlowDeltaT,"SO Shaft Speed")
	skr(waveprefix+"72",1,SlowDeltaT,"SI Shaft Speed")
	skr(waveprefix+"73",1,SlowDeltaT,"PO Shaft Speed")
	skr(waveprefix+"74",1,SlowDeltaT,"PI Shaft Speed")
	skr(waveprefix+"75",1,SlowDeltaT,"T-Foil Strut Ang")
	skr(waveprefix+"76",1,SlowDeltaT,"T-Foil Flap Ang")
	skr(waveprefix+"77",1,SlowDeltaT,"Port Tab Ang")
	skr(waveprefix+"78",1,SlowDeltaT,"Stbd Tab Ang")
End//HSV2slowRenameScale



